diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/inter-bss-test-suite.cc ns-3.44/src/wifi/test/inter-bss-test-suite.cc
--- ns-3.43/src/wifi/test/inter-bss-test-suite.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/inter-bss-test-suite.cc	2025-03-09 16:55:49.807372600 -0700
@@ -38,10 +38,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Test
+ * @brief Wifi Test
  *
  * This test case tests the transmission of inter-BSS cases
  * and verify behavior of 11ax OBSS_PD spatial reuse.
@@ -69,7 +69,7 @@
     /**
      * Constructor
      *
-     * \param standard The standard to use for the test
+     * @param standard The standard to use for the test
      */
     TestInterBssConstantObssPdAlgo(WifiStandard standard);
     ~TestInterBssConstantObssPdAlgo() override;
@@ -79,20 +79,20 @@
   private:
     /**
      * Send one packet function
-     * \param tx_dev the transmitting device
-     * \param rx_dev the receiving device
-     * \param payloadSize the payload size
+     * @param tx_dev the transmitting device
+     * @param rx_dev the receiving device
+     * @param payloadSize the payload size
      */
     void SendOnePacket(Ptr<WifiNetDevice> tx_dev, Ptr<WifiNetDevice> rx_dev, uint32_t payloadSize);
 
     /**
      * Allocate the node positions
-     * \param d1 distance d1
-     * \param d2 distance d2
-     * \param d3 distance d3
-     * \param d4 distance d4
-     * \param d5 distance d5
-     * \return the node positions
+     * @param d1 distance d1
+     * @param d2 distance d2
+     * @param d3 distance d3
+     * @param d4 distance d4
+     * @param d5 distance d5
+     * @return the node positions
      */
     Ptr<ListPositionAllocator> AllocatePositions(meter_u d1,
                                                  meter_u d2,
@@ -102,7 +102,7 @@
 
     /**
      * Set the expected transmit power
-     * \param txPower the transmit power
+     * @param txPower the transmit power
      */
     void SetExpectedTxPower(dBm_u txPower);
 
@@ -133,39 +133,39 @@
 
     /**
      * Check if the Phy State for a device is an expected value
-     * \param device the device to check
-     * \param expectedState the expected PHY state
+     * @param device the device to check
+     * @param expectedState the expected PHY state
      */
     void CheckPhyState(Ptr<WifiNetDevice> device, WifiPhyState expectedState);
 
     /**
      * Check if the Phy drop reasons for a device are as expected
-     * \param device the device to check
-     * \param expectedDropReasons the expected PHY drop reasons
+     * @param device the device to check
+     * @param expectedDropReasons the expected PHY drop reasons
      */
     void CheckPhyDropReasons(Ptr<WifiNetDevice> device,
                              std::vector<WifiPhyRxfailureReason> expectedDropReasons);
 
     /**
      * Notify Phy transmit begin
-     * \param context the context
-     * \param p the packet
-     * \param txPowerW the tx power
+     * @param context the context
+     * @param p the packet
+     * @param txPowerW the tx power
      */
     void NotifyPhyTxBegin(std::string context, Ptr<const Packet> p, double txPowerW);
 
     /**
      * Notify Phy receive ends
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void NotifyPhyRxEnd(std::string context, Ptr<const Packet> p);
 
     /**
      * Notify Phy receive drops
-     * \param context the context
-     * \param p the packet
-     * \param reason the reason why it was dropped
+     * @param context the context
+     * @param p the packet
+     * @param reason the reason why it was dropped
      */
     void NotifyPhyRxDrop(std::string context, Ptr<const Packet> p, WifiPhyRxfailureReason reason);
 
@@ -216,10 +216,10 @@
       m_payloadSize1(1000),
       m_payloadSize2(1500),
       m_payloadSize3(2000),
-      m_txPower(15),
-      m_obssPdLevel(-72),
-      m_obssRxPower(-82),
-      m_expectedTxPower(15),
+      m_txPower(dBm_u{15}),
+      m_obssPdLevel(dBm_u{-72}),
+      m_obssRxPower(dBm_u{-82}),
+      m_expectedTxPower(dBm_u{15}),
       m_bssColor1(1),
       m_bssColor2(2),
       m_bssColor3(3),
@@ -315,87 +315,87 @@
     // We test PHY state and verify whether a CCA reset did occur.
 
     // AP2 sends a packet 0.5s later.
-    Simulator::Schedule(Seconds(2.0), &TestInterBssConstantObssPdAlgo::ClearDropReasons, this);
-    Simulator::Schedule(Seconds(2.0),
+    Simulator::Schedule(Seconds(2), &TestInterBssConstantObssPdAlgo::ClearDropReasons, this);
+    Simulator::Schedule(Seconds(2),
                         &TestInterBssConstantObssPdAlgo::SendOnePacket,
                         this,
                         ap_device2,
                         sta_device2,
                         m_payloadSize2);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(10),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         ap_device2,
                         WifiPhyState::TX);
     // All other PHYs should have stay idle until 4us (preamble detection time).
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(11),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(11),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         sta_device1,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(11),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(11),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         sta_device2,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(11),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(11),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         ap_device1,
                         WifiPhyState::IDLE);
     // All PHYs should be receiving the PHY header (i.e. PHY state is CCA_BUSY) if preamble has been
     // detected (always the case in this test).
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(14),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(14),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         sta_device1,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(14),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(14),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         sta_device2,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(14),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(14),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         ap_device1,
                         WifiPhyState::CCA_BUSY);
     // PHYs of AP1 and STA1 should be idle after HE-SIG-A if they were reset by OBSS_PD SR,
     // otherwise they should be CCA_busy until beginning of payload.
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(43),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(43),
                         &TestInterBssConstantObssPdAlgo::CheckPhyDropReasons,
                         this,
                         sta_device1,
                         dropReasons);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(43),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(43),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         sta_device1,
                         expectPhyReset ? WifiPhyState::IDLE : WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(43),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(43),
                         &TestInterBssConstantObssPdAlgo::CheckPhyDropReasons,
                         this,
                         ap_device1,
                         dropReasons);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(43),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(43),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         ap_device1,
                         expectPhyReset ? WifiPhyState::IDLE : WifiPhyState::CCA_BUSY);
     // PHYs of AP1 and STA1 should be idle if they were reset by OBSS_PD SR, otherwise they should
     // be CCA_busy/Rx (since filtered/not filtered, resp.).
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(54),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(54),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         sta_device1,
                         expectPhyReset ? WifiPhyState::IDLE : stateDuringPayloadNeighboringBss);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(54),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(54),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         ap_device1,
                         expectPhyReset ? WifiPhyState::IDLE : stateDuringPayloadNeighboringBss);
     // STA2 should be receiving
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(54),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(54),
                         &TestInterBssConstantObssPdAlgo::CheckPhyState,
                         this,
                         sta_device2,
@@ -665,31 +665,32 @@
 {
     uint32_t idx = ConvertContextToNodeId(context);
     uint32_t pktSize = p->GetSize() - 38;
+    Watt_u txPower{txPowerW};
     if ((idx == 0) && ((pktSize == m_payloadSize1) || (pktSize == (m_payloadSize1 / 10))))
     {
         m_numSta1PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPower), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
     else if ((idx == 1) && ((pktSize == m_payloadSize2) || (pktSize == (m_payloadSize2 / 10))))
     {
         m_numSta2PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPower), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
     else if ((idx == 3) && ((pktSize == m_payloadSize1) || (pktSize == (m_payloadSize1 / 10))))
     {
         m_numAp1PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPower), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
     else if ((idx == 4) && ((pktSize == m_payloadSize2) || (pktSize == (m_payloadSize2 / 10))))
     {
         m_numAp2PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPower), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
@@ -904,16 +905,13 @@
 
     lossModel->SetLoss(wifiStaNodes.Get(0)->GetObject<MobilityModel>(),
                        wifiApNodes.Get(0)->GetObject<MobilityModel>(),
-                       m_txPower +
-                           static_cast<dB_u>(30.0)); // Low attenuation for IBSS transmissions
+                       m_txPower + dB_u{30.0}); // Low attenuation for IBSS transmissions
     lossModel->SetLoss(wifiStaNodes.Get(1)->GetObject<MobilityModel>(),
                        wifiApNodes.Get(1)->GetObject<MobilityModel>(),
-                       m_txPower +
-                           static_cast<dB_u>(30.0)); // Low attenuation for IBSS transmissions
+                       m_txPower + dB_u{30.0}); // Low attenuation for IBSS transmissions
     lossModel->SetLoss(wifiStaNodes.Get(2)->GetObject<MobilityModel>(),
                        wifiApNodes.Get(2)->GetObject<MobilityModel>(),
-                       m_txPower +
-                           static_cast<dB_u>(30.0)); // Low attenuation for IBSS transmissions
+                       m_txPower + dB_u{30.0}); // Low attenuation for IBSS transmissions
 
     Config::Connect("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/PhyTxBegin",
                     MakeCallback(&TestInterBssConstantObssPdAlgo::NotifyPhyTxBegin, this));
@@ -934,24 +932,24 @@
 TestInterBssConstantObssPdAlgo::DoRun()
 {
     // Test case 1: CCA CS Threshold = m_obssRxPower < m_obssPdLevel
-    m_obssPdLevel = -72;
-    m_obssRxPower = -82;
+    m_obssPdLevel = dBm_u{-72};
+    m_obssRxPower = dBm_u{-82};
     m_bssColor1 = 1;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
     RunOne();
 
     // Test case 2: CCA CS Threshold < m_obssPdLevel < m_obssRxPower
-    m_obssPdLevel = -72;
-    m_obssRxPower = -62;
+    m_obssPdLevel = dBm_u{-72};
+    m_obssRxPower = dBm_u{-62};
     m_bssColor1 = 1;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
     RunOne();
 
     // Test case 3: CCA CS Threshold < m_obssPdLevel = m_obssRxPower
-    m_obssPdLevel = -72;
-    m_obssRxPower = -72;
+    m_obssPdLevel = dBm_u{-72};
+    m_obssRxPower = dBm_u{-72};
     m_bssColor1 = 1;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
@@ -959,16 +957,16 @@
 
     // Test case 4: CCA CS Threshold = m_obssRxPower < m_obssPdLevel with BSS color 2 and 3
     // set to 0
-    m_obssPdLevel = -72;
-    m_obssRxPower = -82;
+    m_obssPdLevel = dBm_u{-72};
+    m_obssRxPower = dBm_u{-82};
     m_bssColor1 = 1;
     m_bssColor2 = 0;
     m_bssColor3 = 0;
     RunOne();
 
     // Test case 5: CCA CS Threshold = m_obssRxPower < m_obssPdLevel with BSS color 1 set to 0
-    m_obssPdLevel = -72;
-    m_obssRxPower = -82;
+    m_obssPdLevel = dBm_u{-72};
+    m_obssRxPower = dBm_u{-82};
     m_bssColor1 = 0;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
@@ -976,10 +974,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Inter BSS Test Suite
+ * @brief Inter BSS Test Suite
  */
 
 class InterBssTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/power-rate-adaptation-test.cc ns-3.44/src/wifi/test/power-rate-adaptation-test.cc
--- ns-3.43/src/wifi/test/power-rate-adaptation-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/power-rate-adaptation-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -25,10 +25,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Power Rate Adaptation Test
+ * @brief Power Rate Adaptation Test
  */
 class PowerRateAdaptationTest : public TestCase
 {
@@ -46,7 +46,7 @@
     void TestRrpaa();
     /**
      * Configure nde function
-     * \returns the node
+     * @returns the node
      */
     Ptr<Node> ConfigureNode();
 
@@ -94,8 +94,8 @@
      * Configure power control parameters.
      */
     phy->SetNTxPower(18);
-    phy->SetTxPowerStart(0);
-    phy->SetTxPowerEnd(17);
+    phy->SetTxPowerStart(dBm_u{0});
+    phy->SetTxPowerEnd(dBm_u{17});
 
     /*
      * Create manager.
@@ -1136,7 +1136,7 @@
         "RRPAA: Incorrect vale of data rate");
     NS_TEST_ASSERT_MSG_EQ(power, 0, "RRPAA: Incorrect value of power level");
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     Simulator::Run();
     Simulator::Destroy();
@@ -1151,10 +1151,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Power Rate Adaptation Test Suite
+ * @brief Power Rate Adaptation Test Suite
  */
 class PowerRateAdaptationTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/power-save-test.cc ns-3.44/src/wifi/test/power-save-test.cc
--- ns-3.43/src/wifi/test/power-save-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/power-save-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -23,16 +23,16 @@
 NS_LOG_COMPONENT_DEFINE("PowerSaveTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test TIM Information element serialization and deserialization
+ * @brief Test TIM Information element serialization and deserialization
  */
 class TimInformationElementTest : public HeaderSerializationTestCase
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     TimInformationElementTest();
 
@@ -40,11 +40,11 @@
     /**
      * Reset the passed TIM to have the provided parameters.
      *
-     * \param tim the TIM element to set
-     * \param dtimCount the DTIM count value
-     * \param dtimPeriod the DTIM period value
-     * \param multicastPending whether group addressed frames are queued
-     * \param aidValues the AID values to set
+     * @param tim the TIM element to set
+     * @param dtimCount the DTIM count value
+     * @param dtimPeriod the DTIM period value
+     * @param multicastPending whether group addressed frames are queued
+     * @param aidValues the AID values to set
      */
     void SetTim(Tim& tim,
                 uint8_t dtimCount,
@@ -56,17 +56,17 @@
      * Test that the Bitmap Control and the Partial Virtual Bitmap
      * fields of the provided TIM match the passed bufferContents.
      *
-     * \param tim the provided TIM
-     * \param bufferContents the expected content of the buffer
+     * @param tim the provided TIM
+     * @param bufferContents the expected content of the buffer
      */
     void CheckSerializationAgainstBuffer(Tim& tim, const std::vector<uint8_t>& bufferContents);
 
     /**
      * Test that the GetAidSet() method return the expected set of AID values.
      *
-     * \param tim the TIM element
-     * \param aid the AID value passed to GetAidSet()
-     * \param expectedSet the expected set of AID values returned by GetAidSet()
+     * @param tim the TIM element
+     * @param aid the AID value passed to GetAidSet()
+     * @param expectedSet the expected set of AID values returned by GetAidSet()
      */
     void CheckAidSet(const Tim& tim, uint16_t aid, const std::set<uint16_t>& expectedSet);
 };
@@ -246,10 +246,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Power Save Test Suite
+ * @brief Power Save Test Suite
  */
 class PowerSaveTestSuite : public TestSuite
 {
